Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.invocation
Class PortletInvocation

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.portlet.invocation.PortletInvocation

Direct Known Subclasses:
  ActionInvocation, RenderInvocation

    public abstract class PortletInvocation

extends Invocation

Since:
  2.4
Version:
  $Revision: 6765 $
Author:
  Julien Viet

Field Summary
`protected PortletInvocationContext` | `ctx` The invocation context.
`protected javax.servlet.http.HttpServletRequest` | `dreq` The dispatched request.
`protected javax.servlet.http.HttpServletResponse` | `dresp` The dispatched response.
`protected InstanceContext` | `instanceContext` The instance context.
`static Scope` | `INVOCATION_SCOPE` The request scope.
`protected PortalContext` | `portalContext` The portal context.
`static Scope` | `PRINCIPAL_SCOPE` The portal principal scope.
`static Scope` | `REQUEST_PROPERTIES_SCOPE` The request properties .
`static Scope` | `REQUEST_SCOPE` The request scope.
`protected RequestContext` | `requestContext` The request context.
`static Scope` | `RESPONSE_PROPERTIES_SCOPE` The response properties.
`protected SecurityContext` | `securityContext` The security context.
`protected java.util.Set` | `supportedModes` The modes this portlet can accept.
`protected java.util.Set` | `supportedWindowStates` The window states this portlet can accept.
`protected PortletContext` | `target` The target portlet.
`protected UserContext` | `userContext` The user context.
`protected WindowContext` | `windowContext` The window context.

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`protected` | `PortletInvocation(PortletInvocationContext ctx)` Create an invocation to a portlet.

Method Summary
`InvocationContext` | `getContext()` Return the invocation context or throw IllegalStateException.
`javax.servlet.http.HttpServletRequest` | `getDispatchedRequest()` Return the dispatched http servlet request.
`javax.servlet.http.HttpServletResponse` | `getDispatchedResponse()` Return the dispatched http servlet request.
`InstanceContext` | `getInstanceContext()`
`PortalContext` | `getPortalContext()`
`PortletInvocationContext` | `getPortletContext()`
`RequestContext` | `getRequestContext()`
`SecurityContext` | `getSecurityContext()`
`java.util.Set` | `getSupportedModes()`
`java.util.Set` | `getSupportedWindowStates()`
`PortletContext` | `getTarget()`
`UserContext` | `getUserContext()`
`WindowContext` | `getWindowContext()`
`void` | `setDispatchedRequest(javax.servlet.http.HttpServletRequest dreq)` Set the dispatched http servlet request.
`void` | `setDispatchedResponse(javax.servlet.http.HttpServletResponse dresp)` Set the dispatched http servlet request.
`void` | `setInstanceContext(InstanceContext instanceContext)`
`void` | `setPortalContext(PortalContext portalContext)`
`void` | `setRequestContext(RequestContext requestContext)`
`void` | `setSecurityContext(SecurityContext securityContext)`
`void` | `setSupportedModes(java.util.Set supportedModes)`
`void` | `setSupportedWindowStates(java.util.Set supportedWindowStates)`
`void` | `setTarget(PortletContext target)`
`void` | `setUserContext(UserContext userContext)`
`void` | `setWindowContext(WindowContext windowContext)`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRINCIPAL_SCOPE

    public static final Scope PRINCIPAL_SCOPE

  The portal principal scope.

### REQUEST_SCOPE

    public static final Scope REQUEST_SCOPE

  The request scope.

### INVOCATION_SCOPE

    public static final Scope INVOCATION_SCOPE

  The request scope.

### REQUEST_PROPERTIES_SCOPE

    public static final Scope REQUEST_PROPERTIES_SCOPE

  The request properties .

### RESPONSE_PROPERTIES_SCOPE

    public static final Scope RESPONSE_PROPERTIES_SCOPE

  The response properties.

### target

    protected PortletContext target

  The target portlet.

### portalContext

    protected PortalContext portalContext

  The portal context.

### requestContext

    protected RequestContext requestContext

  The request context.

### securityContext

    protected SecurityContext securityContext

  The security context.

### userContext

    protected UserContext userContext

  The user context.

### instanceContext

    protected InstanceContext instanceContext

  The instance context.

### windowContext

    protected WindowContext windowContext

  The window context.

### supportedWindowStates

    protected java.util.Set supportedWindowStates

  The window states this portlet can accept.

### supportedModes

    protected java.util.Set supportedModes

  The modes this portlet can accept.

### dreq

    protected javax.servlet.http.HttpServletRequest dreq

  The dispatched request.

### dresp

    protected javax.servlet.http.HttpServletResponse dresp

  The dispatched response.

### ctx

    protected PortletInvocationContext ctx

  The invocation context.

Constructor Detail

### PortletInvocation

    protected PortletInvocation(PortletInvocationContext ctx)
                         throws java.lang.IllegalArgumentException

  Create an invocation to a portlet.

  Parameters:
    `ctx` - the portlet invocation context
  Throws:
    `java.lang.IllegalArgumentException`

Method Detail

### getContext

    public InvocationContext getContext()

  Description copied from class: `Invocation`
  Return the invocation context or throw IllegalStateException.

  Specified by:
    `getContext` in class `Invocation`
  Returns:
    the invocation context

### getPortletContext

    public PortletInvocationContext getPortletContext()

### getTarget

    public PortletContext getTarget()

### setTarget

    public void setTarget(PortletContext target)

### getSupportedWindowStates

    public java.util.Set getSupportedWindowStates()

### setSupportedWindowStates

    public void setSupportedWindowStates(java.util.Set supportedWindowStates)

### getSupportedModes

    public java.util.Set getSupportedModes()

### setSupportedModes

    public void setSupportedModes(java.util.Set supportedModes)

### getDispatchedResponse

    public javax.servlet.http.HttpServletResponse getDispatchedResponse()

  Return the dispatched http servlet request.

### setDispatchedResponse

    public void setDispatchedResponse(javax.servlet.http.HttpServletResponse dresp)

  Set the dispatched http servlet request.

### getDispatchedRequest

    public javax.servlet.http.HttpServletRequest getDispatchedRequest()

  Return the dispatched http servlet request.

### setDispatchedRequest

    public void setDispatchedRequest(javax.servlet.http.HttpServletRequest dreq)

  Set the dispatched http servlet request.

### getPortalContext

    public PortalContext getPortalContext()

### setPortalContext

    public void setPortalContext(PortalContext portalContext)

### getRequestContext

    public RequestContext getRequestContext()

### setRequestContext

    public void setRequestContext(RequestContext requestContext)

### getSecurityContext

    public SecurityContext getSecurityContext()

### setSecurityContext

    public void setSecurityContext(SecurityContext securityContext)

### getUserContext

    public UserContext getUserContext()

### setUserContext

    public void setUserContext(UserContext userContext)

### getInstanceContext

    public InstanceContext getInstanceContext()

### setInstanceContext

    public void setInstanceContext(InstanceContext instanceContext)

### getWindowContext

    public WindowContext getWindowContext()

### setWindowContext

    public void setWindowContext(WindowContext windowContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD